Bug 23211 - Internal error: Floating point exception compiling file with -Os
Summary: Internal error: Floating point exception compiling file with -Os
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-03 11:12 UTC by Alexander Larsson
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-04 10:25:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed testcase (176.59 KB, text/plain)
2001-01-03 11:14 UTC, Alexander Larsson
no flags Details

Description Alexander Larsson 2001-01-03 11:12:20 UTC
When i compiled testglib.c from the glib CVS it crashed with:

# gcc testglib_pre.c -Os
testglib.c: In function `main':
testglib.c:1172: Internal error: Floating point exception.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

I will attach the preprocessed testcase.

Comment 1 Alexander Larsson 2001-01-03 11:14:29 UTC
Created attachment 6986 [details]
preprocessed testcase

Comment 2 Alexander Larsson 2001-01-03 11:15:31 UTC
By the way. I'm using the gcc-2.96-69 release.


Comment 3 Jakub Jelinek 2001-01-04 10:24:47 UTC
I have fixed this in my tree, still need to bootstrap it and test some more.
It will appear in gcc-2.96-70.


Note You need to log in before you can comment on or make changes to this bug.